.nav {
    width: 100%;
    z-index: 800;
    display: block;
    background: #090909;
    position: relative;

    overflow: hidden;
    max-height: 0;
    opacity: 0;
    will-change: max-height;
    transition: all 0.3s ease-out;

    &:after,
    &:before {
        left: 0;
        right: 0;
        height: 1px;
        content: '';
        display: block;
        position: absolute;
        background: rgba(255, 255, 255, 0.21);
    }

    &:before {
        bottom: 0;
    }

    &:after {
        top: 0;
    }

    &__menu {
        margin: 0 auto;
        list-style: none;
        font-weight: 400;
        padding: rem(24) 0;
        font-size: rem(19);
        line-height: rem(26);
        white-space: normal;
    }

    &__item {

        &:not(:last-child) {
            margin-bottom: rem(12);
        }
    }

    &__link {
        padding: rem(8) 0;
        color: var(--color-gray);
        stroke: var(--color-gray);
        text-decoration: none;
        transition: .25s;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            font-size: 0;
            line-height: 0;
            display: none;
            height: rem(17);
        }

        &:hover {
            color: var(--color-white);
            stroke: var(--color-white);
            text-decoration: none;
            transition: .25s;
        }

        &.active {
            color: var(--color-white);
            stroke: var(--color-white);
        }
    }

    @media (min-width: $screen-xl) {
        position: relative;
        max-height: inherit !important;
        opacity: 1;
        visibility: visible;
        transition: 0s;

        &:before,
        &:after {
            display: none;
        }

        &__container {
            max-width: 1724px;
        }

        &__menu {
            width: 100%;
            padding: 0;
            height: rem(60);
            font-size: rem(16);
            line-height: rem(22);
            position: relative;
            border-bottom: none;
            display: flex;
            align-items: center;

            &:after {
                display: none;
            }

            &:before {
                left: 0;
                right: 0;
                bottom: 0;
                height: 1px;
                content: '';
                display: block;
                position: absolute;
                background: rgba(255, 255, 255, 0.21);
            }
        }

        &__item {

            &:not(:last-child) {
                margin-bottom: 0;
                margin-right: rem(58);
            }
        }

        &__link {
            height: rem(60);
            position: relative;

            i {
                margin-right: rem(16);
                display: inline-block;
            }

            &.active {

                &:before {
                    left: 0;
                    right: 0;
                    bottom: 0;
                    z-index: 1;
                    content: '';
                    height: 1px;
                    position: absolute;
                    background: rgba(255, 255, 255, 1);
                }
            }
        }

        &--top {
            left: 0;
            right: 0;
            top: rem(100);
            position: absolute;
            background: transparent;
        }
    }

    @media (min-width: $screen-xxl) {

        &__container {
            max-width: 1724px;
        }
    }
}

.nav-open {

    .nav {
        opacity: 1;
        transition: all 0.3s ease-out;
    }

    .hamburger {

        span {
            opacity: 0;
            transition: .3s;
        }

        &:after {
            top: calc(50% - 1px);
            transform: rotate(45deg);
            transition: .3s;
        }

        &:before {
            top: calc(50% - 1px);
            transform: rotate(-45deg);
            transition: .3s;
        }
    }

    @media (min-width: $screen-xl) {
        overflow: visible;

        .nav {
            opacity: 1;
            visibility: visible;
            transition: 0s;
        }
    }
}
